Support » Theme: Vega » Update to 2.3 is not possible

  • Resolved vipteam

    (@vipteam)


    Vega v2.2.3 – works perfectly.

    Update to 2.3 is not possible! After the upgrade I see only the blank/white page.

    ERROR LOG:

    [18-May-2017 16:30:03 UTC] PHP Warning:  require(/home/mywebsite/public_html/wp-content/themes/vega/customize/theme-defaults.php): failed to open stream: No such file or directory in /home/mywebsite/public_html/wp-content/themes/vega/functions.php on line 12
    [18-May-2017 16:30:03 UTC] PHP Fatal error:  require(): Failed opening required '/home/mywebsite/public_html/wp-content/themes/vega/customize/theme-defaults.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/mywebsite/public_html/wp-content/themes/vega/functions.php on line 12
Viewing 5 replies - 1 through 5 (of 5 total)
  • Theme Author lyrathemes

    (@lyrathemes)

    When you download the theme directly – you see that the customize folder does have the theme-defaults.php file. Can you please double check that you have all the files in your themes/vega/ folder?

    /vega/customize/
    style.css
    customizer.php
    theme-defaults.php

    It looks okay.

    Does this problem have anything to do with Child Theme?

    Vega v2.2.3, functions.php, at line 12
    ### THEME DEFAULTS ###
    require get_template_directory() . ‘/customize/theme-defaults.php’;

    Vega v2.3, functions.php, at line 12
    ### THEME DEFAULTS ###
    require get_stylesheet_directory() . ‘/customize/theme-defaults.php’;

    Should this be the case?

    Theme Author lyrathemes

    (@lyrathemes)

    @vipteam – You’re right – that can be the case. Let me quickly review all includes and push an update.

    Resolved (v2.3.1). Thank you very much!

    Regards,

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Update to 2.3 is not possible’ is closed to new replies.